
# Instructions
after the project is cloned, run `git submodule update --init --recursive` to pull submodules. 
This is stuff like abseil and other maps are git submodules that don't get downloaded automatically. 

To build, just run
`mkdir build`  
`cd build`  
`cmake .. -G "<Build System>"` and then whatever command the build system uses.
For example, with unix maketools:

`cmake -G "Unix makefiles"`
`make`

But if you still got the same config as the one we all used for parkmanne, you should have vscode + cmaketools plugin. In which case, just press build. 


## Dependencies
Install boost. (https://www.boost.org/) should just be `pacman -S mingw-w64-x86_64-boost` in the msys2 shell. If you still have the same install as the parkmanne project, you already have this installed.
If you don't for some reason, see command above. If you don't have the same setup anymore, ask me. Stefan, it is `apt install libboost-all-dev` on ubuntu if i remember correctly. `pacman -S boost-libs` on manjaro.  
We need it for `boost::unordered`, and i have no easy way to include it in the project.
 
Also, this is only tested on linux. It *should* work on windows. I remember it working on windows, but I recently did a fresh install on windows after getting an SSD and I'm having trouble configuring clang to work for projects I was able to compile in the past.
Assume it doesnt and compile on linux. 

Also, make sure your compiler supports C++17. That should be the latest versions all major compilers (clang 5+, gcc 7+, msvc 19.14+ (Visual studio 2017+))
We're at VS2019, clang 10 and gcc 9 now, so this shouldn't be an issue if you still got the parkmanne setup.
